Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class HTMLImageHandler

    java.lang.Object
      org.eclipse.birt.report.engine.api.HTMLImageHandler

All Implemented Interfaces:
  IHTMLImageHandler

Direct Known Subclasses:
  HTMLCompleteImageHandler, HTMLServerImageHandler

    public class HTMLImageHandler

extends java.lang.Object
implements IHTMLImageHandler

Constructor Summary
`HTMLImageHandler()`

Method Summary
`CachedImage` | `addCachedImage(java.lang.String id, int type, IImage image, IReportContext context)` add the image into cache.
`CachedImage` | `getCachedImage(java.lang.String id, int type, IReportContext context)` get the cached image.
`protected java.lang.Object` | `getRenderContext(IReportContext context)` Get render context.
`java.lang.String` | `onCustomImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onDesignImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onDocImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onFileImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onURLImage(IImage image, java.lang.Object context)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLImageHandler

    public HTMLImageHandler()

Method Detail

### onCustomImage

    public java.lang.String onCustomImage(IImage image,
                                          java.lang.Object context)

  Deprecated.

  Description copied from interface: `IHTMLImageHandler`
  handles a custom image created for example, by chart extension. The implementation supplies a URL and optionally stores the image.

  Specified by:
    `onCustomImage` in interface `IHTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### onDesignImage

    public java.lang.String onDesignImage(IImage image,
                                          java.lang.Object context)

  Deprecated.

  Description copied from interface: `IHTMLImageHandler`
  handles a design image. The implementation supplies a URL and optionally stores the image.

  Specified by:
    `onDesignImage` in interface `IHTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### onDocImage

    public java.lang.String onDocImage(IImage image,
                                       java.lang.Object context)

  Deprecated.

  Description copied from interface: `IHTMLImageHandler`
  handles a database image. The implementation supplies a URL and optionally stores the image.

  Specified by:
    `onDocImage` in interface `IHTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### onFileImage

    public java.lang.String onFileImage(IImage image,
                                        java.lang.Object context)

  Deprecated.

  Description copied from interface: `IHTMLImageHandler`
  handles a image specified as a on-disk URI. The implementation supplies a URL and optionally stores the image.

  Specified by:
    `onFileImage` in interface `IHTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### onURLImage

    public java.lang.String onURLImage(IImage image,
                                       java.lang.Object context)

  Deprecated.

  Description copied from interface: `IHTMLImageHandler`
  handles an image specified as an external URL. The implementation supplies a URL and optionally stores the image.

  Specified by:
    `onURLImage` in interface `IHTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### getRenderContext

    protected java.lang.Object getRenderContext(IReportContext context)

  Get render context.

  Parameters:
    `context` -
  Returns:

### getCachedImage

    public CachedImage getCachedImage(java.lang.String id,
                                      int type,
                                      IReportContext context)

  get the cached image.

  Specified by:
    `getCachedImage` in interface `IHTMLImageHandler`
  Parameters:
    `id` - cache key
    `type` - image type.
    `context` - report context
  Returns:
    the cached image

### addCachedImage

    public CachedImage addCachedImage(java.lang.String id,
                                      int type,
                                      IImage image,
                                      IReportContext context)

  add the image into cache.

  Specified by:
    `addCachedImage` in interface `IHTMLImageHandler`
  Parameters:
    `id` - cached key
    `type` - image type
    `image` - image object.
    `context` - report context
  Returns:
    the cached image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.